# geos::noding Namespace Reference

Classes to compute nodings for arrangements of line segments and line segment sequences. More...

## Classes

class | FastNodingValidator
| Validates that a collection of SegmentStrings is correctly noded. More...
class | IntersectionAdder
class | IntersectionFinderAdder
| Finds proper and interior intersections in a set of SegmentStrings, and adds them as nodes. More...
class | IteratedNoder
class | MCIndexNoder
| Nodes a set of SegmentString using a index based on index::chain::MonotoneChain and a index::SpatialIndex. More...
class | Noder
| Computes all intersections between segments in a set of SegmentString. More...
class | NodingValidator
class | Octant
| Methods for computing and working with octants of the Cartesian plane. More...
class | ScaledNoder
| Wraps a Noder and transforms its input into the integer domain. More...
class | SegmentIntersector
| Processes possible intersections detected by a Noder. More...
class | SegmentNode
| Represents an intersection point between two SegmentString. More...
class | SegmentNodeList
| A list of the SegmentNode present along a noded SegmentString. More...
class | SegmentString
| Represents a list of contiguous line segments, and supports noding the segments. More...
class | SimpleNoder
| Nodes a set of SegmentStrings by performing a brute-force comparison of every segment to every other one. More...
class | SingleInteriorIntersectionFinder
| Finds an interior intersection in a set of SegmentString, if one exists. Only the first intersection found is reported. More...
class | SinglePassNoder

## Namespaces

namespace | snapround
| Contains classes to implement the Snap Rounding algorithm for noding linestrings.

## Typedefs

typedef SegmentIntersector | nodingSegmentIntersector
| Temporary typedef for namespace transition.

## Functions

std::ostream & | operator<< (std::ostream &os, const SegmentNode &n)
std::ostream & | operator<< (std::ostream &os, const SegmentNodeList &l)
std::ostream & | operator<< (std::ostream &os, const SegmentString &ss)

## Detailed Description

Classes to compute nodings for arrangements of line segments and line segment sequences.